CertPathValidatorException.BasicReason (Java Platform SE 8 )
Keywords: java.security.cert.CertPathValidatorException.BasicReason class
Date: 2016-07-28

compact1, compact2, compact3
java.security.cert

## Enum CertPathValidatorException.BasicReason

- java.lang.Object
- - java.lang.Enum<CertPathValidatorException.BasicReason>
  - - java.security.cert.CertPathValidatorException.BasicReason

- All Implemented Interfaces:
    Serializable, Comparable<CertPathValidatorException.BasicReason>, CertPathValidatorException.Reason
  Enclosing class:
    CertPathValidatorException

      public static enum CertPathValidatorException.BasicReason
      extends Enum<CertPathValidatorException.BasicReason>
      implements CertPathValidatorException.Reason

  The BasicReason enumerates the potential reasons that a certification path of any type may be invalid.
  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALGORITHM_CONSTRAINED` The public key or the signature algorithm has been constrained.
    `EXPIRED` The certificate is expired.
    `INVALID_SIGNATURE` The signature is invalid.
    `NOT_YET_VALID` The certificate is not yet valid.
    `REVOKED` The certificate is revoked.
    `UNDETERMINED_REVOCATION_STATUS` The revocation status of the certificate could not be determined.
    `UNSPECIFIED` Unspecified reason.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CertPathValidatorException.BasicReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CertPathValidatorException.BasicReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final CertPathValidatorException.BasicReason UNSPECIFIED

      Unspecified reason.

    - #### EXPIRED

          public static final CertPathValidatorException.BasicReason EXPIRED

      The certificate is expired.

    - #### NOT_YET_VALID

          public static final CertPathValidatorException.BasicReason NOT_YET_VALID

      The certificate is not yet valid.

    - #### REVOKED

          public static final CertPathValidatorException.BasicReason REVOKED

      The certificate is revoked.

    - #### UNDETERMINED_REVOCATION_STATUS

          public static final CertPathValidatorException.BasicReason UNDETERMINED_REVOCATION_STATUS

      The revocation status of the certificate could not be determined.

    - #### INVALID_SIGNATURE

          public static final CertPathValidatorException.BasicReason INVALID_SIGNATURE

      The signature is invalid.

    - #### ALGORITHM_CONSTRAINED

          public static final CertPathValidatorException.BasicReason ALGORITHM_CONSTRAINED

      The public key or the signature algorithm has been constrained.

  - ### Method Detail

    - #### values

          public static CertPathValidatorException.BasicReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CertPathValidatorException.BasicReason c : CertPathValidatorException.BasicReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CertPathValidatorException.BasicReason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.